## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           glinf
Version:        1.0
Release:        %autorelease
Summary:        Print information about OpenGL or OpenGLES contexts

License:        MIT
URL:            https://marlam.de/glinf
Source0:        %{url}/releases/%{name}-%{version}.tar.gz
Source1:        %{url}/releases/%{name}-%{version}.tar.gz.sig
Source2:        https://marlam.de/key.txt

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  gnupg2

BuildRequires:  qt5-qtbase-devel

%description
This is a simple tool that prints information about OpenGL or OpenGLES
contexts. It is roughly comparable to glewinfo or glxinfo, with the
following differences:
- it uses Qt for platform abstraction
- it focusses on modern OpenGL
- it prints implementation limits such as GL_MAX_DRAW_BUFFERS
- it omits information about GLX and visuals

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}

%changelog
## START: Generated by rpmautospec
* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon May 06 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 1.0-1
- Initial import; Fixes: RHBZ#2246852
## END: Generated by rpmautospec
